library(shiny)
library(tidyverse)

# Create a Shiny application using the sidebarLayout and the iris dataset, plotting the species vs the Sepal.Length.
# The iris dataset comes bundled with R so if you type "iris" into the console you should see the dataset.
# Remember you can use a browser actionButton to help with debugging 
# In the UI code - actionButton("browser", "browser")
# In the server code - observeEvent(input$browser, browser())

# 
# 1 a. In the sidebarPanel, include a textInput to allow the user to name the plot.
# 
#   b. In the main panel, show a box plot of the iris data, with the Species along the x axis and Sepal.Length on the y axis.
#    
#   c. ggplot objects can be saved and then called when needed. Move the plotting code out of the render function into a reactive expression and then call the reactive expression from within the render function. 
#   
#   d. Add actionButtons in the sidebarPanel to allow the user to show either a boxplot, violin plot or bar plot. Use geom_col() for the barplot. 
#     Create an empty reactive value using reactiveVal() and call it plotting_object. 
#     Pair each of the actionButtons with an observeEvent() function and within these, update the plotting_object reactive value. Keep the 
#      
#     Call plotting_object() from the renderPlot function to display the plot.
# 
#      
# 2. Add a checkboxInput that when clicked, shows the individual points on the plots (use geom_jitter())
# 
# Think about the different options you have for where to put this code (within existing or new reactive expressions, observeEvents or render functions) and what would happen and why if you ran the code from different places.


ui <- fluidPage(
  
  titlePanel("Exercise 3")
  
)

server <- function(input, output, session) {
  

}

shinyApp(ui, server)

